<script lang="ts">
  import {
    theme,
    toggleTheme,
  } from 'stores/themeStore';
  import SunIcon from 'icons/SunIcon';
  import MoonIcon from 'icons/MoonIcon';
</script>

<button on:click={toggleTheme} type="button" class="text-gray-500 dark:text-gray-400 hover:text-black hover:dark:text-white hover:bg-gray-200 dark:hover:bg-gray-700 dark:focus:ring-gray-700 rounded-lg text-sm p-2">
  {#if $theme === 'dark'}
    <SunIcon />
  {:else}
    <MoonIcon />
  {/if}

</button>